Subject: Troy-bilt wide cut mower vs. rider?

From: [email-masked] (CLNichols)
Date: 20 Mar 1995 21:57:09 -0500

My husband and I are deciding between a wide-cut walk behind mower and a
riding mower for our new home.  We have about 1/3 acre of lawn (much of it
sloped) and are attracted to an ad for a Troy-bilt Wide-Cut Mower - a walk
behind style mower.  Features that are attractive to us are its greater
width than an ordinary mower, its greater maneuverability than a rider and
its smaller consumption of garage space.  We sent for literature just
yesterday so don't know its price, but we would like to know what others
think about the relative merits of this style of mower relative to a
rider, and this specific mower relative to others of its type.  

Cindy